InternalSignature (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove
Class InternalSignature

    java.lang.Object
      edu.harvard.hul.ois.jhove.Signature
          edu.harvard.hul.ois.jhove.InternalSignature

    public class InternalSignature

extends Signature

This class encapsulates information about internal format signatures. The value of a Signature may be either a String or a byte array (stored as an int array to avoid signed byte problems).

Constructor Summary
`InternalSignature(int[] value, SignatureType type, SignatureUseType use)` Creates an InternalSignature given a byte array, a type, and a use requirement.
`InternalSignature(int[] value, SignatureType type, SignatureUseType use, int offset)` Creates an InternalSignature given a byte array, a type, a use requirement, and a byte offset.
`InternalSignature(int[] value, SignatureType type, SignatureUseType use, int offset, java.lang.String note)` Creates an InternalSignature given a string value, a type, a use requirement, a byte offset, and a note.
`InternalSignature(int[] value, SignatureType type, SignatureUseType use, java.lang.String note)` Creates an InternalSignature given a byte array, a type, a use requirement, and a note.
`InternalSignature(java.lang.String value, SignatureType type, SignatureUseType use)` Creates an InternalSignature given a string value, a type, and a use requirement.
`InternalSignature(java.lang.String value, SignatureType type, SignatureUseType use, int offset)` Creates an InternalSignature given a string value, a type, a use requirement, and a byte offset.
`InternalSignature(java.lang.String value, SignatureType type, SignatureUseType use, int offset, java.lang.String note)` Creates an InternalSignature given a string value, a type, a use requirement, a byte offset, and a note.
`InternalSignature(java.lang.String value, SignatureType type, SignatureUseType use, java.lang.String note)` Creates an InternalSignature given a string value, a type, a use requirement, and a note.

Method Summary
`int` | `getOffset()` Returns the byte offset.
`boolean` | `hasFixedOffset()` Returns `true` if this InternalSignature has a fixed byte offset.

Methods inherited from class edu.harvard.hul.ois.jhove.Signature
`getNote, getType, getUse, getValue, getValueHexString, getValueString, isStringValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InternalSignature

    public InternalSignature(java.lang.String value,
                             SignatureType type,
                             SignatureUseType use)

  Creates an InternalSignature given a string value, a type, and a use requirement. An InternalSignature created with this constructor does not have a fixed byte offset.

### InternalSignature

    public InternalSignature(int[] value,
                             SignatureType type,
                             SignatureUseType use)

  Creates an InternalSignature given a byte array, a type, and a use requirement. An InternalSignature created with this constructor does not have a fixed byte offset.

### InternalSignature

    public InternalSignature(java.lang.String value,
                             SignatureType type,
                             SignatureUseType use,
                             int offset)

  Creates an InternalSignature given a string value, a type, a use requirement, and a byte offset. An InternalSignature created with this constructor has a fixed byte offset.

### InternalSignature

    public InternalSignature(int[] value,
                             SignatureType type,
                             SignatureUseType use,
                             int offset)

  Creates an InternalSignature given a byte array, a type, a use requirement, and a byte offset. An InternalSignature created with this constructor has a fixed byte offset.

### InternalSignature

    public InternalSignature(java.lang.String value,
                             SignatureType type,
                             SignatureUseType use,
                             java.lang.String note)

  Creates an InternalSignature given a string value, a type, a use requirement, and a note. An InternalSignature created with this constructor does not have a fixed byte offset.

### InternalSignature

    public InternalSignature(int[] value,
                             SignatureType type,
                             SignatureUseType use,
                             java.lang.String note)

  Creates an InternalSignature given a byte array, a type, a use requirement, and a note. An InternalSignature created with this constructor does not have a fixed byte offset.

### InternalSignature

    public InternalSignature(java.lang.String value,
                             SignatureType type,
                             SignatureUseType use,
                             int offset,
                             java.lang.String note)

  Creates an InternalSignature given a string value, a type, a use requirement, a byte offset, and a note. An InternalSignature created with this constructor has a fixed byte offset.

### InternalSignature

    public InternalSignature(int[] value,
                             SignatureType type,
                             SignatureUseType use,
                             int offset,
                             java.lang.String note)

  Creates an InternalSignature given a string value, a type, a use requirement, a byte offset, and a note. An InternalSignature created with this constructor has a fixed byte offset.

Method Detail

### getOffset

    public int getOffset()

  Returns the byte offset. This value is meaningful only if this InternalSignature has a fixed byte offset.

### hasFixedOffset

    public boolean hasFixedOffset()

  Returns `true` if this InternalSignature has a fixed byte offset.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD